# LocatedImage (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util
Class LocatedImage

    java.lang.Object
      org.newdawn.slick.util.LocatedImage

    public class LocatedImage

extends java.lang.Object

An image along with state information that allows it to be drawn without specifing the state in which to render.

Author:
  kevin

Constructor Summary
`LocatedImage(Image image, int x, int y)` Create a new located image

Method Summary
`void` `draw()` Draw the image based on the current configured state
`Color` `getColor()` Get the colour filter being applied
`float` `getHeight()` Get the height the image will be drawn at
`float` `getWidth()` Get the width the image will be drawn at
`int` `getX()` Get the x position at which the image will be drawn
`int` `getY()` Get the y position at which the image will be drawn
`void` `setColor(Color c)` Set the colour filter to apply to the image
`void` `setHeight(float height)` Set the height the image should be drawn at
`void` `setWidth(float width)` Set the width the image should be drawn at
`void` `setX(int x)` Set the x position at which the image should be drawn
`void` `setY(int y)` Set the y position at which the image should be drawn

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocatedImage

    public LocatedImage(Image image,
                        int x,
                        int y)

  Create a new located image

  Parameters:
    `image` - The image to be drawn
    `x` - The x location at which the image should be drawn
    `y` - The y location at which the image should be drawn

Method Detail

### getHeight

    public float getHeight()

  Get the height the image will be drawn at

  Returns:
    The height

### getWidth

    public float getWidth()

  Get the width the image will be drawn at

  Returns:
    The width

### setHeight

    public void setHeight(float height)

  Set the height the image should be drawn at

  Parameters:
    `height` - The height the image should be drawn at

### setWidth

    public void setWidth(float width)

  Set the width the image should be drawn at

  Parameters:
    `width` - The width the image should be drawn at

### setColor

    public void setColor(Color c)

  Set the colour filter to apply to the image

  Parameters:
    `c` - The color filter to apply to the image

### getColor

    public Color getColor()

  Get the colour filter being applied

  Returns:
    The color the being applied

### setX

    public void setX(int x)

  Set the x position at which the image should be drawn

  Parameters:
    `x` - The x coordinate of the position

### setY

    public void setY(int y)

  Set the y position at which the image should be drawn

  Parameters:
    `y` - The y coordinate of the position

### getX

    public int getX()

  Get the x position at which the image will be drawn

  Returns:
    The x position at which the image will be drawn

### getY

    public int getY()

  Get the y position at which the image will be drawn

  Returns:
    The y position at which the image will be drawn

### draw

    public void draw()

  Draw the image based on the current configured state

Copyright © 2006 New Dawn Software. All Rights Reserved.